[Piuparts-commits] [SCM] piuparts git repository branch, develop, updated. 0.44-686-gc4918d0

Andreas Beckmann debian at abeckmann.de
Wed Jun 6 15:24:18 UTC 2012


The following commit has been merged in the develop branch:
commit 196bb9955c3dee76fbb520d95b241f548a7ac973
Author: Andreas Beckmann <debian at abeckmann.de>
Date:   Wed Jun 6 10:47:42 2012 +0200

    scripts: always set -e
    
    and drop the final exit 0
    
    Signed-off-by: Andreas Beckmann <debian at abeckmann.de>

diff --git a/org/piuparts.debian.org/etc/scripts-debug-purge/post_remove_postrm_set-x b/org/piuparts.debian.org/etc/scripts-debug-purge/post_remove_postrm_set-x
index f7f3aa6..bae4140 100755
--- a/org/piuparts.debian.org/etc/scripts-debug-purge/post_remove_postrm_set-x
+++ b/org/piuparts.debian.org/etc/scripts-debug-purge/post_remove_postrm_set-x
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 for target in ${PIUPARTS_OBJECTS}
 do
diff --git a/org/piuparts.debian.org/etc/scripts/post_purge_exceptions b/org/piuparts.debian.org/etc/scripts/post_purge_exceptions
index 9d52115..0a343f4 100755
--- a/org/piuparts.debian.org/etc/scripts/post_purge_exceptions
+++ b/org/piuparts.debian.org/etc/scripts/post_purge_exceptions
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 log_debug() {
 	echo "Debug: piuparts exception for package $PIUPARTS_OBJECTS"
@@ -52,5 +53,3 @@ case $PIUPARTS_OBJECTS in
 				apt-get clean
 				;;
 esac
-
-exit 0
diff --git a/org/piuparts.debian.org/etc/scripts/pre_install_exceptions b/org/piuparts.debian.org/etc/scripts/pre_install_exceptions
index 771b62a..c212e81 100755
--- a/org/piuparts.debian.org/etc/scripts/pre_install_exceptions
+++ b/org/piuparts.debian.org/etc/scripts/pre_install_exceptions
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 log_debug() {
 	echo "Debug: piuparts exception for package $PIUPARTS_OBJECTS"
@@ -66,6 +67,3 @@ if [ "$PIUPARTS_DISTRIBUTION" = "lenny" ]; then
 		echo "linux-image-2.6.26-2-$flavor linux-image-2.6.26-2-$flavor/preinst/lilo-initrd-2.6.26-2-$flavor boolean false"
 	done | debconf-set-selections
 fi
-
-exit 0
-
diff --git a/org/piuparts.debian.org/etc/scripts/pre_remove_exceptions b/org/piuparts.debian.org/etc/scripts/pre_remove_exceptions
index eec4ab4..0a92206 100755
--- a/org/piuparts.debian.org/etc/scripts/pre_remove_exceptions
+++ b/org/piuparts.debian.org/etc/scripts/pre_remove_exceptions
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 log_debug() {
 	echo "Debug: piuparts exception for package $PIUPARTS_OBJECTS"
@@ -22,5 +23,3 @@ esac
 # Allow removal of the kernel running on the host from the chroot.
 UNAME_R="$(uname -r)"
 echo "linux-image-$UNAME_R linux-image-$UNAME_R/prerm/removing-running-kernel-$UNAME_R boolean false" | debconf-set-selections
-
-exit 0
diff --git a/org/piuparts.debian.org/etc/scripts/pre_test_root_password b/org/piuparts.debian.org/etc/scripts/pre_test_root_password
index cbddecd..6da93ce 100755
--- a/org/piuparts.debian.org/etc/scripts/pre_test_root_password
+++ b/org/piuparts.debian.org/etc/scripts/pre_test_root_password
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 # sudo refuses removal if no root password is set, so set one
 # do this unconditionally, as there are quite some packages depending on sudo

-- 
piuparts git repository



More information about the Piuparts-commits mailing list